@import "/src/variables.scss";

.desktop-icon {
  display: inline-block;
  margin: 10px;
  padding: 10px;
  width: $icon-size;
  height: $icon-size;
  border-radius: calc(100% / 10);
  transition: 100ms;
  z-index: 0;

  img {
    width: 70%;
    height: 70%;
    margin-left: 15%;
  }

  span {
    display: block;
    width: 100%;
    text-align: center;
    font-size: var(--icon-font-size);
    color: var(--desktop-icon-text);
    text-shadow: 0 0 5px var(--desktop-icon-shaddow);
  }

  &:hover {
   background-color: var(--icon-hover);
  }
}
